Subject: bug#99: Dired remote creates local directory from the menus

From: [email-masked]
Date: Tue, 26 Aug 2008 00:05:18 +0200

"Lennart Borgman (gmail)" <[email-masked]> writes:

> Lennart Borgman (gmail) wrote:
>> I can still easily reproduce this bug. Joakim (who can not reproduce
>> this) was using ssh, I am using ftp.
>> 
>> I am on w32 I guess that matters too. I think you are using GNU/Linux,
>> Joakim?
>
>
> I took a look at it. The problem is in using the system file dialog to
> read remote file names on w32. This just gives a local file name.
>
> I am surprised that this works for you, Joakim. Does the file dialog on
> GNU/Linux understand Emacs remote file syntax?

I dont get a file-dialog at all, because I have disabled those.
I just use tramp syntax with find-file, which is why I didnt understand
the problem.

> I think the fix is simple. Just tell read-file-name to not use a dialog:
>
>                 (if (or (not (next-read-file-uses-dialog-p))
>                         (when default-filename
>                           (file-remote-p default-filename))
>                         (file-remote-p dir))

I'll try it out.

-- 
Joakim Verona